Capvant

Fill in a lead

patch
https://sandbox.capvant.com/partner/v1/leads/{id}
PATCH
/leads/{id}

Any subset of the create body. Only the fields present are changed. Refused once the lead is submitted.

Sends any subset of the create body. Only the fields present change. Refused with 409 once the lead has been submitted, because the panel was asked about the figures as they were.

Authorization

AuthorizationBearer <token>

An access token from POST /oauth/token. Valid for one hour. Preferred, because a leaked request log then exposes an hour rather than a permanent credential.

In: header

Path Parameters

id*string

The lead id returned by POST /leads.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Any subset of the create body. Only the fields present are changed. Refused once the lead is submitted.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

Shell
curl -X PATCH "https://sandbox.capvant.com/leads/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{}'
JSON
{  "id": "string",  "reference": "string",  "partner_reference": "string",  "state": "draft",  "environment": "live",  "country": "UK",  "currency": "GBP",  "channel": {    "name": "string",    "domain": "string"  },  "business": {    "name": "string",    "company_number": "string",    "entity_type": "private_limited_company",    "industry": "ecommerce",    "registry": {      "source": "official_register",      "status": "available",      "incorporated_on": "string",      "company_age_months": 0,      "company_status": "string",      "company_type": "string",      "sic_codes": [        "string"      ],      "registered_office": {        "line1": "string",        "line2": "string",        "locality": "string",        "region": "string",        "postal_code": "string",        "country": "string"      },      "directors": [        {          "name": "string",          "role": "string",          "appointed_on": "string",          "resigned_on": "string",          "other_active_appointments": 0,          "other_resigned_appointments": 0,          "dissolved_companies": 0,          "disqualified": true        }      ],      "psc_count": 0,      "accounts": {        "next_due": "string",        "overdue": true      },      "confirmation_statement": {        "next_due": "string",        "overdue": true      },      "charges_count": 0,      "has_insolvency_history": true,      "filed_financials": {        "period_start": "string",        "period_end": "string",        "turnover": 0,        "gross_profit": 0,        "operating_profit": 0,        "profit_loss": 0,        "equity": 0,        "net_assets": 0,        "net_current_assets": 0,        "cash": 0,        "current_liabilities": 0,        "average_employees": 0,        "accounts_type": "string",        "basis": "filed_accounts"      },      "registers": [        "string"      ],      "exemptions": [        "string"      ],      "uk_establishments_count": 0,      "disqualified_directors_count": 0,      "registered_name": "string",      "identifiers": {        "vat_number": "string",        "lei": "string",        "nip": "string",        "krs": "string",        "regon": "string",        "nif": "string",        "ein": "string",        "business_number": "string",        "state_entity_number": "string",        "registry_sheet": "string",        "siren": "string",        "siret": "string",        "abn": "string",        "property1": "string",        "property2": "string"      },      "activity_codes": [        {          "scheme": "string",          "code": "string",          "description": "string",          "classification": "string"        }      ],      "officers": [        {          "name": "string",          "role": "string",          "appointed_on": "2019-08-24",          "resigned_on": "2019-08-24"        }      ],      "filings": [        {          "type": "string",          "description": "string",          "date": "2019-08-24",          "period_start": "2019-08-24",          "period_end": "2019-08-24"        }      ],      "share_capital": {        "amount": 0,        "currency": "string"      },      "business_description": "string",      "sections": {        "property1": {          "status": "string",          "data": null        },        "property2": {          "status": "string",          "data": null        }      },      "checked_at": "2019-08-24T14:15:22Z"    },    "vat": {      "number": "string",      "valid": true,      "checked_at": "2019-08-24T14:15:22Z",      "source": "vat_validation",      "registered_name": "string",      "registered_address": "string",      "reason": "no_number"    }  },  "contact": {    "first_name": "string",    "last_name": "string",    "email": "string",    "phone": "string"  },  "funding": {    "amount": 0,    "amount_band": "under_25k",    "amount_basis": "band_midpoint",    "currency": "GBP",    "purpose": "Working Capital",    "product_family": "asset_finance"  },  "trading": {    "monthly_revenue": 0,    "monthly_revenue_band": "under_10k",    "monthly_revenue_basis": "statements",    "annual_turnover": 0,    "annual_turnover_basis": "filed_accounts",    "time_in_business_band": "under_6m",    "tib_months": 0,    "tib_months_basis": "register",    "credit_score_band": "below_500"  },  "consent": {    "obtained": true,    "obtained_at": "string"  },  "significant_persons": [    {      "full_name": "string",      "date_of_birth": "string",      "residential_address": {        "line1": "string",        "line2": "string",        "city": "string",        "region": "string",        "postal_code": "string",        "country": "string"      },      "residency_status": "homeowner",      "ownership_percent": 0    }  ],  "steps": {    "organisation_details_complete": true,    "significant_persons_complete": true,    "documents_complete": true,    "offer_step_complete": true  },  "matched_options": 0,  "options": [    {      "product_family": "asset_finance",      "label": "string",      "options": 0    }  ],  "offers": [    {      "id": "string",      "label": "string",      "state": "presented",      "amount": 0,      "currency": "GBP",      "annual_rate_pct": 0,      "factor_rate": 0,      "term_months": 0,      "fees": 0,      "total_repayment": 0,      "expires_at": "string",      "created_at": "string"    }  ],  "documents": [    {      "id": "string",      "document_type": "bank_statements",      "filename": "string",      "byte_size": 0,      "state": "accepted",      "reason": "string",      "received_at": "string"    }  ],  "statements": {    "has_statements": true,    "uploaded_at": "string",    "account_kind": "bank"  },  "funding_outcome": {    "funded_at": "string",    "funded_amount": 0  },  "timeline": [    {      "event": "string",      "occurred_at": "string"    }  ],  "upload_url": "string",  "submitted_at": "string",  "created_at": "string",  "updated_at": "string",  "uk": {    "companies_house_number": "string",    "entity_type": "private_limited_company",    "annual_turnover": 0,    "significant_persons": [      {        "full_name": "string",        "date_of_birth": "string",        "residential_address": {          "line1": "string",          "line2": "string",          "city": "string",          "region": "string",          "postal_code": "string",          "country": "string"        },        "residency_status": "homeowner",        "ownership_percent": 0      }    ]  },  "us": {    "region": "string",    "monthly_revenue_band": "under_10k",    "monthly_revenue": 0,    "monthly_revenue_basis": "band_midpoint",    "time_in_business_band": "under_6m",    "tib_months": 0,    "credit_score_band": "below_500",    "currency": "GBP"  },  "ca": {    "region": "string",    "monthly_revenue_band": "under_10k",    "monthly_revenue": 0,    "monthly_revenue_basis": "band_midpoint",    "time_in_business_band": "under_6m",    "tib_months": 0,    "credit_score_band": "below_500",    "currency": "GBP"  },  "other": {    "region": "string",    "monthly_revenue_band": "under_10k",    "time_in_business_band": "under_6m",    "currency": "GBP"  }}